WordPress.org

Support

Support » Plugins and Hacks » Bug with Quizzes containing , 1.0.19

Bug with Quizzes containing , 1.0.19

  • Hi all – there seems to still be a with quizzes that have a < or > symbol in 1.0.19.

    To see this problem in action, you can visit this page, and open up the Self-test Quiz box in section 3.2. With question 2, even though the 3rd answer was marked as “correct” in the back-end, all answers will lead to the “incorrect” response. This problem recur through the rest of the quiz whenever a < or > sign is present, even without complex sub/superscript markups (e.g., problem 7).

    Is this patchable on the plug-in end, or are there workarounds that you’d recommend? (On that note: what other characters won’t work?)

    http://wordpress.org/extend/plugins/slickquiz/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author jewlofthelotus
    Member

    @jewlofthelotus

    Hmmm, I see. I’m not sure why this would be happening but you could try working around it for now by using the HTML entities for those problem characters.

    Take a look at the first box on this page for the Entities for greater than and less than http://www.elizabethcastro.com/html/extras/entities.html

    Thanks for the reply (and the great plug-in!)

    I tried substituting HTML entities for all potentially conflicting characters, but the issue partially remains (the entire 3.2 quiz has now have all > and < substitututed).

    As an example, question 7 in the said 3.2 quiz works as intended now (whereas it was broken before), but question 2 remains broken. The only difference I can see between the two is the presence of super/subscripts, but I’m at a loss to explain why these (completed) HTML tags would cause the bug to appear.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Bug with Quizzes containing , 1.0.19’ is closed to new replies.